Description

Hello,

it's been some days that I've tried to use the web-server for spice data initialization but always got the same error: ERROR The

server sent an unrecognized response.

I have tried it on different cubes (CTX and HiRISE images) and from different computers, could it be a problem with the server?

Thanks in advance!

History

#1 - 2016-11-30 10:02 AM - Tammy Becker

- Status changed from New to Acknowledged

#2 - 2016-12-01 11:23 AM - Tyler Wilson

- Assignee set to Tyler Wilson

#3 - 2016-12-05 11:35 AM - Tyler Wilson

- Status changed from Acknowledged to In Progress

Modifying the spiceinit code so that the server url is:

http://isis-spice-d/cgi-bin/spiceinit.cgi fixed the problem.

This is the address of the server behind the firewall

at Astrogeology, so the problem probably lies with the recent

https migration.  The IT department is looking into it.

#4 - 2016-12-06 07:46 AM - Ilaria Lauzana

Thanks for telling me about the https migration, I tried changing the server url from http://services.isis.astrogeology.usgs.gov/cgi-bin/spiceinit.cgi to 

https://services.isis.astrogeology.usgs.gov/cgi-bin/spiceinit.cgi and it worked!

Thank you.

Ilaria

#5 - 2016-12-16 01:58 PM - Tyler Wilson

This is a work-around for this problem which will hopefully work:

Change the url for the web service to:  https://services.isis.astrogeology.usgs.gov/cgi-bin/spiceinit.cgi

Change the default port (currently set to 80), to 443.

Set web=true

The full command looks like this:

spiceinit from=Sub4-AS15-M-0583_msk.cub url=https://services.isis.astrogeology.usgs.gov/cgi-bin/spiceinit.cgi web=true port=443

2016-12-26 1/2

http://isis-spice-d/cgi-bin/spiceinit.cgi
http://services.isis.astrogeology.usgs.gov/cgi-bin/spiceinit.cgi
https://services.isis.astrogeology.usgs.gov/cgi-bin/spiceinit.cgi
https://services.isis.astrogeology.usgs.gov/cgi-bin/spiceinit.cgi


This is a temporary fix, and we are hoping for a more permanent solution when the next version of ISIS is released in late January.

#6 - 2016-12-19 03:00 PM - Tyler Wilson

- Status changed from In Progress to Resolved
